In this section
← Baking
- Retrieve bakings linked from a baking
- Publish a baking
- Unpublish a baking
- Retrieve all of the user's bakings
- Create a new baking
- Retrieve the specified baking by its id
- Update an existing baking
- Delete a baking
- Boost a baking
- Unboost a baking
- Create a new media for a baking
- Update a media for a baking
- Delete a media for a baking
On this page
Retrieve all of the user's bakings
GET /api/v1/bakingsReturns bakings belonging to the authenticated user. Optionally filter by start_date, end_date, and a comma-separated list of status values.
Required Scopes
read
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
start_date |
query | no | string | |
end_date |
query | no | string | |
status |
query | no | string |
Request Body
None.
Responses
200
bakings list
Schema: array[baking_output]
baking_output
| Field | Type | Required | Description |
|---|---|---|---|
id |
integer | yes | |
name |
string | yes | |
description |
string | yes | |
description_html |
string | yes | |
status |
string | yes | |
serving |
integer | yes | |
prepared_at |
string | yes | |
recipe_id |
integer | no | |
serving_type |
string | no | |
likes_count |
integer | yes | |
boosts_count |
integer | yes | |
liked |
boolean | yes | |
boosted |
boolean | yes | |
published_at |
string | yes | |
account |
account_output |
yes | |
ingredients |
array[ingredient_output] |
yes | |
steps |
array[] | yes | |
media |
array[medium_output] |
yes |
Prev
Unpublish a baking
Next
Create a new baking
